Bug 1287344 - libbsd-0.8.3 is available
libbsd-0.8.3 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libbsd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Smith
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 19:23 EST by Upstream Release Monitoring
Modified: 2016-12-23 02:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-23 02:09:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 0.8.0 (#1287344) (1.06 KB, patch)
2015-12-01 19:23 EST, Upstream Release Monitoring
no flags Details | Diff
Fixes failing scratch build for 0.8.0 (1.15 KB, patch)
2015-12-01 21:54 EST, Steve Jenkins
no flags Details | Diff
Fixes failing scratch build for 0.8.0 (1.24 KB, patch)
2015-12-01 22:03 EST, Steve Jenkins
no flags Details | Diff
[patch] Update to 0.8.1 (#1287344) (1.06 KB, patch)
2015-12-15 07:18 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.8.2 (#1287344) (1.06 KB, patch)
2016-01-27 19:20 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (16.61 KB, patch)
2016-04-23 08:16 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-12-01 19:23:15 EST
Latest upstream release: 0.8.0
Current version/release in rawhide: 0.7.0-3.fc23
URL: http://libbsd.freedesktop.org/releases/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-12-01 19:23:29 EST
Created attachment 1101164 [details]
[patch] Update to 0.8.0 (#1287344)
Comment 2 Upstream Release Monitoring 2015-12-01 20:16:56 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12025767
Comment 3 Steve Jenkins 2015-12-01 21:54 EST
Created attachment 1101241 [details]
Fixes failing scratch build for 0.8.0

Auto-generated patch was failing scratch builds. 

Added BuildRequires: openssl-devel and build now completes successfully.
Comment 4 Steve Jenkins 2015-12-01 21:59:45 EST
Should now be ready for brouhaha to commit and build.
Comment 5 Steve Jenkins 2015-12-01 22:03 EST
Created attachment 1101247 [details]
Fixes failing scratch build for 0.8.0

Derp. Changed Version to 0.8.0 but forgot to change Release to 1. New patch attached.
Comment 6 Upstream Release Monitoring 2015-12-15 07:18:12 EST
Latest upstream release: 0.8.1
Current version/release in rawhide: 0.7.0-3.fc23
URL: http://libbsd.freedesktop.org/releases/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 7 Upstream Release Monitoring 2015-12-15 07:18:25 EST
Created attachment 1105972 [details]
[patch] Update to 0.8.1 (#1287344)
Comment 8 Upstream Release Monitoring 2015-12-15 07:36:43 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12198963
Comment 9 Upstream Release Monitoring 2016-01-27 19:20:40 EST
Latest upstream release: 0.8.2
Current version/release in rawhide: 0.7.0-3.fc23
URL: http://libbsd.freedesktop.org/releases/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 10 Upstream Release Monitoring 2016-01-27 19:20:53 EST
Created attachment 1118938 [details]
[patch] Update to 0.8.2 (#1287344)
Comment 11 Upstream Release Monitoring 2016-01-27 19:36:01 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12705827
Comment 12 Upstream Release Monitoring 2016-04-23 08:15:48 EDT
Latest upstream release: 0.8.3
Current version/release in rawhide: 0.7.0-4.fc24
URL: http://libbsd.freedesktop.org/releases/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1567/
Comment 13 Upstream Release Monitoring 2016-04-23 08:16:05 EDT
Patching or scratch build for libbsd-0.7.0 failed.
Comment 14 Upstream Release Monitoring 2016-04-23 08:16:07 EDT
Created attachment 1149994 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 15 Upstream Release Monitoring 2016-04-23 08:16:08 EDT
Patches were not touched. All were applied properly
Comment 16 Upstream Release Monitoring 2016-12-23 02:08:44 EST
brouhaha's libbsd-0.8.3-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=829025
Comment 17 Eric Smith 2016-12-23 02:09:57 EST
Updated to 0.8.3 in rawhide. Since this includes security fixes, I'll push to active Fedora and EPEL branches as well.

Note You need to log in before you can comment on or make changes to this bug.